datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaMousev1 <- function() {

cat("####Mappings based on RefSeqID####\n\n\n")

 showQCData("illuminaMousev1", datacache)

cat("\n\n####Custom Mappings based on probe sequence####\n\n\n")

illuminaMousev1listNewMappings()

}

illuminaMousev1_dbconn <- function() dbconn(datacache)
illuminaMousev1_dbfile <- function() dbfile(datacache)
illuminaMousev1_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaMousev1_dbInfo <- function() dbInfo(datacache)

illuminaMousev1ORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaMousev1.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "illuminaMousev1", "chip illuminaMousev1", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("illuminaMousev1.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaMousev1_dbconn())
}

##Custom Bimaps for the package

illuminaMousev1ARRAYADDRESS <- createSimpleBimap("ExtraInfo", "IlluminaID","ArrayAddress", datacache, "ARRAYADDRESS","illuminaMousev1.db")

illuminaMousev1NUID <- createSimpleBimap("ExtraInfo", "IlluminaID","NuID", datacache, "NUID","illuminaMousev1.db")

illuminaMousev1PROBESEQUENCE <- createSimpleBimap("ExtraInfo", "IlluminaID","ProbeSequence", datacache, "PROBESEQUENCE","illuminaMousev1.db")

illuminaMousev1PROBEQUALITY <- createSimpleBimap("ExtraInfo", "IlluminaID","ProbeQuality", datacache, "PROBEQUALITY","illuminaMousev1.db")

illuminaMousev1CODINGZONE <- createSimpleBimap("ExtraInfo", "IlluminaID","CodingZone", datacache, "CODINGZONE","illuminaMousev1.db")

illuminaMousev1GENOMICLOCATION <- createSimpleBimap("ExtraInfo", "IlluminaID","GenomicLocation", datacache, "GENOMICLOCATION","illuminaMousev1.db")

illuminaMousev1GENOMICMATCHSIMILARITY <- createSimpleBimap("ExtraInfo", "IlluminaID","GenomicMatchSimilarity", datacache, "GENOMICMATCHSIMILARITY","illuminaMousev1.db")

illuminaMousev1SECONDMATCHES <- createSimpleBimap("ExtraInfo", "IlluminaID","SecondMatches", datacache, "SECONDMATCHES","illuminaMousev1.db")

illuminaMousev1SECONDMATCHSIMILARITY <- createSimpleBimap("ExtraInfo", "IlluminaID","SecondMatchSimilarity", datacache, "SECONDMATCHSIMILARITY","illuminaMousev1.db")

illuminaMousev1TRANSCRIPTOMICMATCHSIMILARITY <- createSimpleBimap("ExtraInfo", "IlluminaID","TranscriptomicMatchSimilarity", datacache, "TRANSCRIPTOMICMATCHSIMILARITY","illuminaMousev1.db")

illuminaMousev1OTHERGENOMICMATCHES <- createSimpleBimap("ExtraInfo", "IlluminaID","OtherGenomicMatches", datacache, "OTHERGENOMICMATCHES","illuminaMousev1.db")

illuminaMousev1REPEATMASK <- createSimpleBimap("ExtraInfo", "IlluminaID","RepeatMask", datacache, "REPEATMASK","illuminaMousev1.db")

illuminaMousev1CONTAINSSNP <- createSimpleBimap("ExtraInfo", "IlluminaID","ContainsSNP", datacache, "CONTAINSSNP","illuminaMousev1.db")

illuminaMousev1ENTREZREANNOTATED <- createSimpleBimap("ExtraInfo", "IlluminaID","EntrezReannotated", datacache, "ENTREZREANNOTATED","illuminaMousev1.db")

illuminaMousev1ENSEMBLREANNOTATED <- createSimpleBimap("ExtraInfo", "IlluminaID","EnsemblReannotated", datacache, "ENSEMBLREANNOTATED","illuminaMousev1.db")

illuminaMousev1listNewMappings = function(){
cat("illuminaMousev1ARRAYADDRESS()\n") 
cat("illuminaMousev1NUID()\n") 
cat("illuminaMousev1PROBESEQUENCE()\n") 
cat("illuminaMousev1PROBEQUALITY()\n") 
cat("illuminaMousev1CODINGZONE()\n") 
cat("illuminaMousev1GENOMICLOCATION()\n") 
cat("illuminaMousev1GENOMICMATCHSIMILARITY()\n") 
cat("illuminaMousev1SECONDMATCHES()\n") 
cat("illuminaMousev1SECONDMATCHSIMILARITY()\n") 
cat("illuminaMousev1TRANSCRIPTOMICMATCHSIMILARITY()\n") 
cat("illuminaMousev1OTHERGENOMICMATCHES()\n") 
cat("illuminaMousev1REPEATMASK()\n") 
cat("illuminaMousev1CONTAINSSNP()\n") 
cat("illuminaMousev1ENTREZREANNOTATED()\n") 
cat("illuminaMousev1ENSEMBLREANNOTATED()\n") 
}
illuminaMousev1fullReannotation = function(){
dbGetQuery(illuminaMousev1_dbconn(), "SELECT * FROM ExtraInfo")
}
